mod vec;
mod packet;

#[derive(Debug, Clone)]
pub struct RawPacket {
    pub version: u8,
    pub dest: u32,
    pub src: u32,
    pub packet_id: u32,
    pub reply_to: u32,
    pub command: u8,
    pub data_length: usize,
    pub data: Vec<u8>,
    pub checksum: u32
}

